//
// Copyright 2002 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wDepotPane:
//	runs p4 where - saves results in 3 StrBufs


#ifndef p4wDepotPane_H
#define p4wDepotPane_H

#include "p4wPane.h"


class p4wDepotPane : public p4wPane {

public:

	p4wDepotPane( p4wView & ParentView, p4wRequest & Request );
	
	virtual	~p4wDepotPane();

	//
	// Render functions.
	
	virtual	void Begin();
	virtual	void Render( StrDict * varList );
	virtual void RenderError( char *data, int escapeHTML );
	virtual	void End();

	StrArray	RemoteList;
	StrBuf		fErrMsg;
	int			fError;

private:
	int fSeenData;
};

#endif // p4wDepotPane_H
